aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJaKooLit <ejhay.games@gmail.com>2024-09-20 12:46:32 +0900
committerJaKooLit <ejhay.games@gmail.com>2024-09-20 12:46:32 +0900
commit7d376633842c143e658a3900c1d7fb10f8af4033 (patch)
treee23bd823f47cef8d9c50e98ddec1a5d9aab19c17
parent3056d2060700d35b37b05634e226c734304a5efe (diff)
updates: Keybinds added in Hint button (right click), Added Default_v4 waybar for non-laptop. Minor ags style tweak. Minor tweak on config-keybinds.rasi
-rw-r--r--config/ags/user/style.css16
-rwxr-xr-xconfig/hypr/scripts/KeyBinds.sh5
-rwxr-xr-xconfig/hypr/scripts/KeyHints.sh5
-rw-r--r--config/rofi/config-keybinds.rasi2
-rw-r--r--config/waybar/ModulesCustom19
-rw-r--r--config/waybar/configs/[TOP] Default_v453
-rwxr-xr-xcopy.sh57
7 files changed, 112 insertions, 45 deletions
diff --git a/config/ags/user/style.css b/config/ags/user/style.css
index 49d44ad8..13410ea4 100644
--- a/config/ags/user/style.css
+++ b/config/ags/user/style.css
@@ -6,7 +6,7 @@
/* define some colors */
@define-color border-color @color12;
-@define-color border-color-alt @color1;
+@define-color border-color-alt @color9;
@define-color text-color rgba(255, 255, 255, 0.7);
@define-color noti-bg rgba(0, 0, 0, 0.4);
@define-color noti-bg-alt #111111;
@@ -24,11 +24,11 @@ widget {
transition: 300ms cubic-bezier(0, 0.55, 0.45, 1);
border-radius: 1.705rem;
-gtk-outline-radius: 1.705rem;
- border-top: 2px solid @border-color;
+ border-top: 4px solid @border-color;
border-left: 1px solid @border-color-alt;
border-right: 1px solid @border-color-alt;
- border-bottom: 2px solid @border-color;
- /*box-shadow: 0px 2px 3px alpha(@color0, 0.45); */
+ border-bottom: 4px solid @border-color;
+ box-shadow: 0px 2px 3px alpha(@color12, 0.45);
margin: 0.476rem;
min-width: 13.636rem;
min-height: 3.409rem;
@@ -70,10 +70,10 @@ widget {
.overview-search-results {
border-radius: 1.705rem;
-gtk-outline-radius: 1.705rem;
- border-top: 2px solid @border-color;
+ border-top: 4px solid @border-color;
border-left: 1px solid @border-color-alt;
border-right: 1px solid @border-color-alt;
- border-bottom: 2px solid @border-color;
+ border-bottom: 4px solid @border-color;
box-shadow: 0px 2px 3px @color9;
margin: 0.476rem;
min-width: 28.773rem;
@@ -123,10 +123,10 @@ widget {
.overview-tasks {
border-radius: 1.705rem;
-gtk-outline-radius: 1.705rem;
- border-top: 2px solid @border-color;
+ border-top: 4px solid @border-color;
border-left: 1px solid @border-color-alt;
border-right: 1px solid @border-color-alt;
- border-bottom: 2px solid @border-color;
+ border-bottom: 4px solid @border-color;
box-shadow: 0px 2px 3px @color5;
margin: 0.476rem;
padding: 0.341rem;
diff --git a/config/hypr/scripts/KeyBinds.sh b/config/hypr/scripts/KeyBinds.sh
index 29217910..01764f0f 100755
--- a/config/hypr/scripts/KeyBinds.sh
+++ b/config/hypr/scripts/KeyBinds.sh
@@ -3,6 +3,11 @@
# /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
# Searchable enabled keybinds using rofi
+# Check if yad is running and kill it if it is
+if pgrep -x "yad" > /dev/null; then
+ pkill yad
+fi
+
# Define the config files
KEYBINDS_CONF="$HOME/.config/hypr/configs/Keybinds.conf"
USER_KEYBINDS_CONF="$HOME/.config/hypr/UserConfigs/UserKeybinds.conf"
diff --git a/config/hypr/scripts/KeyHints.sh b/config/hypr/scripts/KeyHints.sh
index 3534f2e4..e2e12634 100755
--- a/config/hypr/scripts/KeyHints.sh
+++ b/config/hypr/scripts/KeyHints.sh
@@ -5,6 +5,11 @@
# GDK BACKEND. Change to either wayland or x11 if having issues
BACKEND=wayland
+# Check if rofi is running and kill it if it is
+if pgrep -x "rofi" > /dev/null; then
+ pkill rofi
+fi
+
# Detect monitor resolution and scale
x_mon=$(hyprctl -j monitors | jq '.[] | select(.focused==true) | .width')
y_mon=$(hyprctl -j monitors | jq '.[] | select(.focused==true) | .height')
diff --git a/config/rofi/config-keybinds.rasi b/config/rofi/config-keybinds.rasi
index 13a070a0..964b37d1 100644
--- a/config/rofi/config-keybinds.rasi
+++ b/config/rofi/config-keybinds.rasi
@@ -6,7 +6,7 @@
/* ---- Entry ---- */
entry {
width: 80%;
- placeholder: "⌨ Search Keybinds - NOTE: Clicking with Mouse or Pressing ENTER will have NO function";
+ placeholder: " 🧮 Search Keybinds ☣️ NOTE ☣️: Clicking with Mouse or Pressing ENTER will have NO function";
}
/* ---- Listview ---- */
diff --git a/config/waybar/ModulesCustom b/config/waybar/ModulesCustom
index 201c97b7..d0c8e506 100644
--- a/config/waybar/ModulesCustom
+++ b/config/waybar/ModulesCustom
@@ -57,20 +57,21 @@
"custom/hint": {
"format": "󰺁 HINT!",
"on-click": "$HOME/.config/hypr/scripts/KeyHints.sh",
+ "on-click-right": "$HOME/.config/hypr/scripts/KeyBinds.sh",
"tooltip": true,
- "tooltip-format": "󱧣 Quick Tips",
+ "tooltip-format": "Left Click: Quick Tips\nRight Click: Keybinds",
},
// Hypridle inhibitor
"custom/hypridle": {
- "format": "󱫗 ",
- "return-type": "json",
- "escape": true,
- "exec-on-event": true,
- "interval": 60,
- "exec": "$HOME/.config/hypr/scripts/Hypridle.sh status",
- "on-click": "$HOME/.config/hypr/scripts/Hypridle.sh toggle",
- "on-click-right": "hyprlock"
+ "format": "󱫗 ",
+ "return-type": "json",
+ "escape": true,
+ "exec-on-event": true,
+ "interval": 60,
+ "exec": "$HOME/.config/hypr/scripts/Hypridle.sh status",
+ "on-click": "$HOME/.config/hypr/scripts/Hypridle.sh toggle",
+ "on-click-right": "hyprlock"
},
"custom/keyboard": {
diff --git a/config/waybar/configs/[TOP] Default_v4 b/config/waybar/configs/[TOP] Default_v4
new file mode 100644
index 00000000..051aa848
--- /dev/null
+++ b/config/waybar/configs/[TOP] Default_v4
@@ -0,0 +1,53 @@
+/* ---- 💫 https://github.com/JaKooLit 💫 ---- */
+
+// ### DEFAULT v4 (Laptop) - Top ### //
+{
+"include": [
+ "$HOME/.config/waybar/Modules",
+ "$HOME/.config/waybar/ModulesWorkspaces",
+ "$HOME/.config/waybar/ModulesCustom",
+ "$HOME/.config/waybar/ModulesGroups",
+ ],
+"layer": "top",
+//"mode": "dock",
+"exclusive": true,
+"passthrough": false,
+"position": "top",
+"spacing": 3,
+"fixed-center": true,
+"ipc": true,
+"margin-top": 3,
+"margin-left": 8,
+"margin-right": 8,
+
+"modules-left": [
+ "group/app_drawer",
+ "custom/separator#dot-line",
+ "group/mobo_drawer",
+ "custom/separator#line",
+ "custom/weather",
+ ],
+
+"modules-center": [
+ "custom/swaync",
+ "custom/cava_mviz",
+ "custom/separator#dot-line",
+ "clock",
+ "custom/separator#line",
+ "hyprland/workspaces#kanji",
+ "custom/separator#dot-line",
+ "idle_inhibitor",
+ "custom/hint",
+ ],
+
+"modules-right": [
+ "network#speed",
+ "group/connections",
+ "custom/separator#line",
+ "tray",
+ "mpris",
+ "group/audio",
+ "custom/separator#dot-line",
+ "group/status",
+ ],
+} \ No newline at end of file
diff --git a/copy.sh b/copy.sh
index eda9e57e..e611b8ba 100755
--- a/copy.sh
+++ b/copy.sh
@@ -122,7 +122,7 @@ If you are not sure, just type us
NOTE:
• You can also set more than 2 keyboard layouts
-• For example us,kr,gb,ru
+• For example us, kr, gb, ru
"
printf "\n%.0s" {1..1}
read -p "${CAT} - Please enter the correct keyboard layout: " new_layout
@@ -140,7 +140,7 @@ printf "${NOTE} Detecting keyboard layout to prepare proper Hyprland Settings\n\
# Prompt the user to confirm whether the detected layout is correct
while true; do
- read -p "$ORANGE Current keyboard layout is: $layout. Is this correct? [y/n] " confirm
+ read -p "$ORANGE Current keyboard layout is: $layout ${CAT} Is this correct? [y/n] " confirm
case $confirm in
[yY])
@@ -170,7 +170,7 @@ If you are not sure, just type us
NOTE:
• You can also set more than 2 keyboard layouts
-• For example us,kr,gb,ru
+• For example us, kr, gb, ru
"
printf "\n%.0s" {1..1}
@@ -218,7 +218,7 @@ while true; do
done
# Use the selected resolution in your existing script
-echo "You chose $resolution resolution." 2>&1 | tee -a "$LOG"
+echo "${OK} You have chosen $resolution resolution." 2>&1 | tee -a "$LOG"
# Add your commands based on the resolution choice
if [ "$resolution" == "≤ 1080p" ]; then
@@ -244,34 +244,35 @@ while true; do
# Convert the answer to lowercase for comparison
answer=$(echo "$answer" | tr '[:upper:]' '[:lower:]')
- # Check if the answer is valid
- if [[ "$answer" == "y" ]]; then
+# Check if the answer is valid
+if [[ "$answer" == "y" ]]; then
# Modify waybar config if 12hr is selected
# Clock 1
- sed -i 's#^ \/\/"format": " {:%I:%M %p}", // AM PM format# "format": " {:%I:%M %p}", // AM PM format#' config/waybar/Modules 2>&1 | tee -a "$LOG"
- sed -i 's#^ "format": " {:%H:%M:%S}", // 24H# \/\/"format": " {:%H:%M:%S}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\)//"format": " {:%I:%M %p}", // AM PM format#\1"format": " {:%I:%M %p}", // AM PM format#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\) "format": " {:%H:%M:%S}", // 24H#\1// "format": " {:%H:%M:%S}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
# Clock 2
- sed -i 's#^ "format": " {:%H:%M}", // 24H# \/\/"format": " {:%H:%M}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\) "format": " {:%H:%M}", // 24H#\1// "format": " {:%H:%M}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
# Clock 3
- sed -i 's#^ \/\/"format": "{:%I:%M %p - %d/%b}", //for AM/PM# "format": "{:%I:%M %p - %d/%b}", //for AM/PM#' config/waybar/Modules 2>&1 | tee -a "$LOG"
- sed -i 's#^ "format": "{:%H:%M - %d/%b}", // 24H# \/\/"format": "{:%H:%M - %d/%b}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\)//"format": "{:%I:%M %p - %d/%b}", //for AM/PM#\1"format": "{:%I:%M %p - %d/%b}", //for AM/PM#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\) "format": "{:%H:%M - %d/%b}", // 24H#\1// "format": "{:%H:%M - %d/%b}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
# Clock 4
- sed -i 's#^ \/\/"format": "{:%B | %a %d, %Y | %I:%M %p}", // AM PM format# "format": "{:%B | %a %d, %Y | %I:%M %p}", // AM PM format#' config/waybar/Modules 2>&1 | tee -a "$LOG"
- sed -i 's#^ "format": "{:%B | %a %d, %Y | %H:%M}", // 24H# \/\/"format": "{:%B | %a %d, %Y | %H:%M}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\)//"format": "{:%B | %a %d, %Y | %I:%M %p}", // AM PM format#\1"format": "{:%B | %a %d, %Y | %I:%M %p}", // AM PM format#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\) "format": "{:%B | %a %d, %Y | %H:%M}", // 24H#\1// "format": "{:%B | %a %d, %Y | %H:%M}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
# Clock 5
- sed -i 's#^ \/\/"format": "{:%A, %I:%M %P}", // AM PM format# "format": "{:%A, %I:%M %P}", // AM PM format#' config/waybar/Modules 2>&1 | tee -a "$LOG"
- sed -i 's#^ "format": "{:%a %d | %H:%M}", // 24H# \/\/"format": "{:%a %d | %H:%M}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\)//"format": "{:%A, %I:%M %P}", // AM PM format#\1"format": "{:%A, %I:%M %P}", // AM PM format#' config/waybar/Modules 2>&1 | tee -a "$LOG"
+ sed -i 's#^\(\s*\) "format": "{:%a %d | %H:%M}", // 24H#\1// "format": "{:%a %d | %H:%M}", // 24H#' config/waybar/Modules 2>&1 | tee -a "$LOG"
# for hyprlock
- sed -i 's/^ text = cmd\[update:1000\] echo "\$(date +"%H")"/# &/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
- sed -i 's/^# *text = cmd\[update:1000\] echo "\$(date +"%I")" #AM\/PM/ text = cmd\[update:1000\] echo "\$(date +"%I")" #AM\/PM/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
+ sed -i 's/^\s*text = cmd\[update:1000\] echo "\$(date +"%H")"/# &/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
+ sed -i 's/^\(\s*\)# *text = cmd\[update:1000\] echo "\$(date +"%I")" #AM\/PM/\1 text = cmd\[update:1000\] echo "\$(date +"%I")" #AM\/PM/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
+
+ sed -i 's/^\s*text = cmd\[update:1000\] echo "\$(date +"%S")"/# &/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
+ sed -i 's/^\(\s*\)# *text = cmd\[update:1000\] echo "\$(date +"%S %p")" #AM\/PM/\1 text = cmd\[update:1000\] echo "\$(date +"%S %p")" #AM\/PM/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
- sed -i 's/^ text = cmd\[update:1000\] echo "\$(date +"%S")"/# &/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
- sed -i 's/^# *text = cmd\[update:1000\] echo "\$(date +"%S %p")" #AM\/PM/ text = cmd\[update:1000\] echo "\$(date +"%S %p")" #AM\/PM/' config/hypr/hyprlock.conf 2>&1 | tee -a "$LOG"
# for SDDM (simple-sddm)
sddm_folder="/usr/share/sddm/themes/simple-sddm"
@@ -281,7 +282,7 @@ while true; do
sudo sed -i 's|^## HourFormat="hh:mm AP"|HourFormat="hh:mm AP"|' "$sddm_folder/theme.conf" 2>&1 | tee -a "$LOG" || true
sudo sed -i 's|^HourFormat="HH:mm"|## HourFormat="HH:mm"|' "$sddm_folder/theme.conf" 2>&1 | tee -a "$LOG" || true
- echo "12H format set to SDDM theme successfully." 2>&1 | tee -a "$LOG"
+ echo "${OK} 12H format set to SDDM theme successfully." 2>&1 | tee -a "$LOG"
fi
# for SDDM (simple-sddm-2)
@@ -297,7 +298,7 @@ while true; do
break
elif [[ "$answer" == "n" ]]; then
- echo "You chose not to change to 12H format." 2>&1 | tee -a "$LOG"
+ echo "${NOTE} You chose not to change to 12H format." 2>&1 | tee -a "$LOG"
break
else
echo "${ERROR} Invalid choice. Please enter y for yes or n for no."
@@ -313,7 +314,7 @@ printf "${NOTE} - By default, Rainbow Borders animation is enabled.\n"
printf "${NOTE} - However, this uses a bit more CPU and Memory resources.\n"
# Prompt user to disable Rainbow Borders
-read -p "Do you want to disable Rainbow Borders animation? (Y/N): " choice
+read -p "${CAT} Do you want to disable Rainbow Borders animation? (Y/N): " choice
if [[ "$choice" =~ ^[Yy]$ ]]; then
# Move RainbowBorders.sh script to backup location
mv config/hypr/UserScripts/RainbowBorders.sh config/hypr/UserScripts/RainbowBorders.bak.sh
@@ -324,9 +325,9 @@ if [[ "$choice" =~ ^[Yy]$ ]]; then
# Comment out the line animation = borderangle, 1, 180, liner, loop
sed -i '/ animation = borderangle, 1, 180, liner, loop/s/^/#/' config/hypr/UserConfigs/UserDecorAnimations.conf
- echo "Rainbow borders is now disabled." 2>&1 | tee -a "$LOG"
+ echo "${OK} Rainbow borders is now disabled." 2>&1 | tee -a "$LOG"
else
- echo "No changes made. Rainbow borders remain enabled." 2>&1 | tee -a "$LOG"
+ echo "${NOTE} No changes made. Rainbow borders remain enabled." 2>&1 | tee -a "$LOG"
fi
printf "\n"
@@ -477,7 +478,8 @@ if hostnamectl | grep -q 'Chassis: desktop'; then
rm -rf "$HOME/.config/waybar/configs/[TOP] Default Laptop" \
"$HOME/.config/waybar/configs/[BOT] Default Laptop" \
"$HOME/.config/waybar/configs/[TOP] Default Laptop_v2" \
- "$HOME/.config/waybar/configs/[TOP] Default Laptop_v3" 2>&1 | tee -a "$LOG" || true
+ "$HOME/.config/waybar/configs/[TOP] Default Laptop_v3" \
+ "$HOME/.config/waybar/configs/[TOP] Default Laptop_v4" 2>&1 | tee -a "$LOG" || true
else
# Configurations for a laptop or any system other than desktop
ln -sf "$waybar_config_laptop" "$HOME/.config/waybar/config" 2>&1 | tee -a "$LOG"
@@ -485,7 +487,8 @@ else
rm -rf "$HOME/.config/waybar/configs/[TOP] Default" \
"$HOME/.config/waybar/configs/[BOT] Default" \
"$HOME/.config/waybar/configs/[TOP] Default_v2" \
- "$HOME/.config/waybar/configs/[TOP] Default_v3" 2>&1 | tee -a "$LOG" || true
+ "$HOME/.config/waybar/configs/[TOP] Default_v3" \
+ "$HOME/.config/waybar/configs/[TOP] Default_v4" 2>&1 | tee -a "$LOG" || true
fi
# additional wallpapers
@@ -493,7 +496,7 @@ echo "$(tput setaf 6) By default only a few wallpapers are copied...$(tput sgr0)
printf "\n"
while true; do
- read -rp "${CAT} Would you like to download additional wallpapers? ${WARN} This is more than >600mb (y/n)" WALL
+ read -rp "${CAT} Would you like to download additional wallpapers? ${WARN} This is more than >700mb (y/n)" WALL
case $WALL in
[Yy])
echo "${NOTE} Downloading additional wallpapers..."
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage